 -----------------小结算--------------------------
local Close				--关闭
local CleanUp 			--清空
local CreateUI  		--创建UI
local m_BaseNode 		--基节点
local m_CreJieSuan       --是否结算UI
--local m_VideoJieSuanBtn  --回放结算btn
local GetIsWinPlayerFun
--local m_headJieSuanTb 
function LzDaer_M_CreResultUI( p,_parent,s)
	CleanUp()
    CCLOG("LzDaer_M_CreResultUI")
    SHOW(s)
	m_BaseNode = cc.Node:create()
 	p:addChild(m_BaseNode,105)
    m_BaseNode:setName("jiesuanNode")
 	m_CreJieSuan =true
    local isBigJieSuan=s.bigjiesuan or 0
    local baseLayer = cc.LayerColor:create(cc.c4b(39,40,34,160))
    m_BaseNode:addChild(baseLayer,5)
    baseLayer:setCascadeOpacityEnabled( false )
    baseLayer:setCascadeColorEnabled(false)
    Pt_M_UIAni_ScaleOut(baseLayer)

    local mask = xui.creMaskLy( m_BaseNode, nil, nil, nil, function (  )
    end )
    local rect={width=1040,height=640}
    local res1,res2,res3 = "lzde_btn_jxyx_zc","lzde_btn_jxyx_dj","lzde_btn_jxyx_zc"
    if isBigJieSuan== 1 then 
        res1,res2,res3 = "lzde_djs_new_zc","lzde_djs_new_dj","lzde_djs_new_zc"
    end
    local zhungbeiBnt = MyBtnClass:new(res1,res2,res3,function ( )
            if isBigJieSuan==0 then
                CSX_SET_PREPARE()
                Close()
                LzDaer_M_PushReadyBntCallFun()
                LzDaer_M_DelHeadJieSuan()
                for i=1,3 do
                    LzDaer_M_CreBaojiaoSp(i,0)
                end
                CCLOG("pushBtn1")
            else
                Close()
                Pt_M_GameJieSanTips()
                LzDaer_M_PushReadyBntCallFun()
                LzDaer_M_CreateBigBlanceUI(_parent,s)
                Pt_M_ShowBackBtn(true)
                CCLOG("pushBtn2")
            end
    end,nil,nil,nil,nil,0.8)
    baseLayer:addChild(zhungbeiBnt.btnLy)
    zhungbeiBnt.btnLy:setPosition(sys.center.x+80+60,sys.center.y-280)
    zhungbeiBnt.btnLy:setScale(0.8)

    if Pt_Get_SelectGameMode()==emMode_3 then
        zhungbeiBnt.btnLy:setPosition(sys.center.x-154,sys.center.y-280) 
    elseif Pt_Get_SelectGameMode()==emMode_4 then
        zhungbeiBnt.SetMyBtnVisible(false)
    end

    --微信分享btn
    local res1,res2,res3 ="lzde_btn_fxcj_zc","lzde_btn_fxcj_dj","lzde_btn_fxcj_zc"
    if(sys.checkSupportKeLiao and sys.checkSupportKeLiao())then
        res1,res2,res3 = "gframe/yxgy_new_btn_fxcj_zc","gframe/yxgy_new_btn_fxcj_dj","gframe/yxgy_new_btn_fxcj_zc"
    end
    local weixinBtn = MyBtnClass:new(res1,res2,res3 ,function (  )
        Pt_Public_ChoniceWXUi( )
    end,nil,nil,nil,nil,0.8)
    baseLayer:addChild(weixinBtn.btnLy)
    weixinBtn.btnLy:setPosition(sys.center.x-267-65-80,sys.center.y-280)
    weixinBtn.btnLy:setScale(0.8)
    if Pt_Get_SelectGameMode()>emMode_2 then
        weixinBtn.SetMyBtnVisible(false)
    end
    local playAlldate = s.player
    local  start_y = sys.center.y+rect.height/2-120
    local  start_x =sys.center.x-450
    local  off_y = 200
    local  count = 0
    for k1,v1 in pairs(playAlldate) do 
        count=count+1
        local money = 0
        if s.jiesuan and s.jiesuan.total and s.jiesuan.total[v1.seat] then
            if s.jiesuan.total[v1.seat] then
                money= s.jiesuan.total[v1.seat]
            end
        end
        CreateUI(baseLayer,s.jiesuan,v1.seat,money)
    end
 end

 --清空
 CleanUp = function (  )
 	m_BaseNode 		= nil
 	m_CreJieSuan=false
 	--m_VideoJieSuanBtn  =nil
    --m_headJieSuanTb   ={}
 end
 --关闭
 Close = function (  )
    CCLOG("关闭---1")
    LzDaer_M_DelHuSp()
    if not Pt_M_GetIsVideoFun() then
        LzDaer_M_CloseBaoSpFun()
        LzDaer_M_unShowZhuang()
    end
    LzDaer_M_CloseJisuanUI()
 	CleanUp()
 	CCLOG("关闭---3")
 end
 --创建UI
CreateUI = function (_prent, data,seat,money )
    if not _prent then return end
    local headTb = LzDaer_M_GetTouXiangLayer()
    local  rect={width=1040,height=640}
    local  start_y = sys.center.y
    local  start_x =sys.center.x
    --local  off_y = 200
    local myzuowei = LzDaer_M_GetPointZuoWei(seat)+1
    CCLOG("myzuowei",myzuowei)
    local  poketPosTb = {
        [1]={x=sys.center.x-90,y=sys.center.y-250},
        [3]={x=sys.center.x-400,y=sys.center.y+70},
        [4]= {x=sys.center.x-130,y=sys.center.y+200},
        [2]={x=sys.center.x+100,y=sys.center.y+70},
    }
    if DEF_PLAYER_NUM ==4 then
        poketPosTb = {
            [1]={x=sys.center.x-90,y=sys.center.y-270},
            [4]={x=sys.center.x-450,y=sys.center.y},
            [3]= {x=sys.center.x-130,y=sys.center.y+220},
            [2]={x=sys.center.x+200,y=sys.center.y},
        }
    end
    start_x=poketPosTb[myzuowei].x
    start_y=poketPosTb[myzuowei].y
    local jiares = "lzde_jdnum1_+"
    local fullres = "lzde_jdnum1_"
    if money<0 then
        jiares = "lzde_jdnum2_-"
        fullres = "lzde_jdnum2_"
    end
    local  jiePosTb = {
        [1]={x=sys.center.x+30,y=sys.center.y-170},
        [3]={x=sys.center.x-400+140,y=sys.center.y},
        [4]= {x=sys.center.x-30,y=sys.center.y+150},
        [2]={x=sys.center.x+100+140,y=sys.center.y},
    }
    if DEF_PLAYER_NUM ==4 then
          jiePosTb = {
            [1]={x=sys.center.x+30,y=sys.center.y-190},
            [4]={x=sys.center.x-450+140,y=sys.center.y-70},
            [3]= {x=sys.center.x-30,y=sys.center.y+150},
            [2]={x=sys.center.x+200+140,y=sys.center.y-70},
        }
    end
    local moneyBg = xui.addSprite(_prent,"lzde_mj_jsbg",jiePosTb[myzuowei].x,jiePosTb[myzuowei].y)
    local niunumber
    if money>=0 then
        niunumber=cc.Label:createWithCharMap("lzde_m_jsja.png",32, 34,  string.byte("/"))
        niunumber:setString("/"..money)
    else
        niunumber=cc.Label:createWithCharMap("lzde_m_jsj.png",32, 34,  string.byte("/"))
        niunumber:setString("/"..money)
    end 
    niunumber:setPosition(moneyBg:getContentSize().width/2,moneyBg:getContentSize().height/2)
    moneyBg:addChild(niunumber)

    local   jiesuanTb={}
    if data.plr_data and data.plr_data[seat]   then
        jiesuanTb=data.plr_data[seat]
    else
        return 
    end
    local huValue = jiesuanTb.hu_num
    local huLabel =xui.addLabel(_prent,huValue.."胡",sys.colors.green,28,start_x,start_y+150,sys.ap.leftCenter)
    local is_hu = 0
    if jiesuanTb.ishu  then 
       is_hu=jiesuanTb.ishu
    end
    local gameovertb = {}
    if DEF_DAER_GAME_ID ==108 then
       gameovertb=data.gameover
    else
       gameovertb=data.gameover
    end
    local isWin,huTb =GetIsWinPlayerFun(seat,gameovertb,is_hu)
    local hanSanlong=true
    local paiSLSK = false
    local paiSZ   = false
    local hustr = ""
    local haveChajiao = false
    local isLuanHu = false
    CCLOG("isWin",isWin)
    SHOW(gameovertb)
    local m_colors = sys.creColor3( 255,255,255 )
    if isWin  then
       -- SHOW(huTb)
        local guicount = 1
        m_colors = sys.creColor3( 220, 203, 83  )
        if DEF_DAER_GAME_ID ==108 then
            for k1,v1 in pairs(huTb.htype or {}) do
                if v1.px ==emDaErWX_PaiXing_Gui then
                    guicount=v1.pxn  or 1
                    hustr =hustr.."四王爷X"..guicount.."  "
                else
                    hustr =hustr..LzDaer_M_GetPaiXinRes(v1.px,headTb[seat].xingbie).."  "
                end
                if v1.px==emDaErWX_PaiXing_ChaJiao  then
                    haveChajiao=true
                end
                if v1.px==emDaErWX_PaiXing_SLSK then
                   paiSLSK=true
                end
            end
            if huTb.hu_num then
               CCLOG("糊了噢噢噢噢")
               huLabel:setString(tostring(huTb.hu_num.."胡"))
            end
        else
            for k,v in pairs(huTb) do
                if v~=nil and type(v)=="table"  then
                    --if v.value and v.value>0 then 
                        local hu_typecount = sys.getTBCount(v.htype)
                        for k1,v1 in pairs(v.htype) do
                            if DEF_DAER_GAME_ID ==100 then
                                if v1 ==emDaErCN_PaiXing_BaoHu then 
                                    hustr =hustr.."暴X"..LzDaer_M_GetBaoCount().."  "
                                else
                                    hustr =hustr..LzDaer_M_GetPaiXinRes(v1,headTb[seat].xingbie).."  "
                                end
                                if v1==emDaErCN_PaiXing_ChaJiao  then
                                    haveChajiao=true
                                    CCLOG("emDaErCN_PaiXing_ChaJiao")
                                end

                            elseif DEF_DAER_GAME_ID ==99 then
                                hustr =hustr..LzDaer_M_GetPaiXinRes(v1,headTb[seat].xingbie).."  "
                                if v1==emDaErJA_PaiXing_SLSK or v1==emDaErJA_PaiXing_HeiPai   then 
                                   hanSanlong=false
                                end
                                if  v1==emDaErJACN_PaiXing_ChaJiao  then
                                    haveChajiao=true
                                end
                                if v1==emDaErJA_PaiXing_SLSK then
                                   paiSLSK=true
                                end
                                if v1 == emDaErJA_PaiXing_SanZhao then
                                    paiSZ=true 
                                end
                            -- elseif DEF_DAER_GAME_ID ==108 then
            
                            --     hustr =hustr..LzDaer_M_GetPaiXinRes(v1,headTb[seat].xingbie).."  "
                            --     if v1==emDaErWX_PaiXing_ChaJiao  then
                            --         haveChajiao=true
                            --     end
                            --     if v1==emDaErWX_PaiXing_SLSK then
                            --        paiSLSK=true
                            --     end
                            else
                                if v1 ==emDaEr_PaiXing_BaoHu then 
                                    hustr =hustr.."暴X"..LzDaer_M_GetBaoCount().."  "
                                else
                                    hustr =hustr..LzDaer_M_GetPaiXinRes(v1,headTb[seat].xingbie).."  "
                                end
                                if v1==emDaEr_PaiXing_SLSK or v1==emDaEr_PaiXing_HeiPai   then 
                                   hanSanlong=false
                                end
                                if v1==emDaEr_PaiXing_ChaJiao   then
                                    haveChajiao=true
                                end
                                if v1==emDaEr_PaiXing_SLSK then
                                   paiSLSK=true
                                end
                                if v1 == emDaEr_PaiXing_SanZhao then
                                    paiSZ=true 
                                end
                            end
                        end
                   -- end
                    if v.hu_num then
                       CCLOG("糊了噢噢噢噢")
                       huLabel:setString(tostring(v.hu_num.."胡"))
                    end
                end
            end
        end  
    end
    CCLOG("hanSanlong",hanSanlong,myzuowei)
    -- if is_hu==1 and hanSanlong then
    --     local huresName =LzDaer_M_GetHuTypeRes( jiesuanTb.hu_type or 0)
    --     CCLOG("hu_type===",hustr)
    --     --huresName='dsdskk'
    --     if huresName  then 
    --        --local HupaixinSp = xui.addSprite(_prent,huresName,start_x,start_y)
    --     end
    -- end
    if DEF_DAER_GAME_ID ==108 then
        if jiesuanTb.tzhao then
           hustr =hustr.."招X"..tostring(jiesuanTb.tzhao).."  "
        end
        if jiesuanTb.tlong then
           hustr =hustr.."拢X"..tostring(jiesuanTb.tlong).."  "
        end
        if jiesuanTb.tbezhao then
           hustr =hustr.."被招X"..tostring(jiesuanTb.tbezhao).."  "
        end
        if jiesuanTb.tbelong then
           hustr =hustr.."被拢X"..tostring(jiesuanTb.tbelong).."  "
        end
    end
    local paiLabel =xui.addLabel(_prent,hustr,m_colors,28,start_x+80,start_y+150,sys.ap.leftCenter)
    paiLabel:setDimensions({width=350,height=0})
    if seat ==LzDaer_M_GetMyZuoWei() then return end
    local  changPaiLayer =cc.LayerColor:create(cc.c4b(139,140,134,0))
    _prent:addChild(changPaiLayer,5)
    changPaiLayer:setContentSize({width=10,height=10})
    changPaiLayer:setPosition(start_x,start_y)
    changPaiLayer:setAnchorPoint(sys.ap.leftBottom)
    local BRNN_VIEW_WITH  =900
    local BRNN_VIEW_HEIGHT =100
    local stencilSize = {}
    stencilSize[1]={x=0,y=0}
    stencilSize[2]={x=BRNN_VIEW_WITH,y=0}       
    stencilSize[3]={x=BRNN_VIEW_WITH,y=BRNN_VIEW_HEIGHT}
    stencilSize[4]={x=0,y=BRNN_VIEW_HEIGHT}
    local m_Cliper = xui.addClipNode(changPaiLayer, stencilSize,0,0, BRNN_VIEW_WITH, BRNN_VIEW_HEIGHT, sys.ap.leftBottom)
    local paitb = jiesuanTb.shoupai  or {}
    local hupai_var =jiesuanTb.hupai_var  or 0
    local count = 0
    local jianju_x = 50
    local jianju_y = 30
    local huCount =0
    local huPokerTb = {}
    if is_hu == 1  and gameovertb[seat] and gameovertb[seat][1] and sys.getTBCount(gameovertb[seat][1].sphunum)>0  then
        huPokerTb=gameovertb[seat][1].sphunum or {}
        local zhaohuValu = 0
        for k,v in pairs(huPokerTb) do
            if v.pai and sys.getTBCount(v.pai) ==4 then
               zhaohuValu=table.remove(v.pai,1)
               break
            end
        end
        if zhaohuValu>0  then
            for k,v in pairs(huPokerTb) do
               if v.pai and sys.getTBCount(v.pai) <=2 then
                   table.insert(v.pai,zhaohuValu)
                   break
                end
            end
        end
        for k,v in pairs(huPokerTb) do
            for k1,v1 in pairs(v.pai or {}) do
                local  pai= DaerPokerClass:Create(m_Cliper,v1,"shou",nil,0.5)
                pai.m_player:setAnchorPoint(sys.ap.leftBottom)
                pai.m_player:setPosition(jianju_x*(k-1),-40-(k1-1)*jianju_y)
                if hupai_var~=0 and hupai_var ==v1 and huCount ==0 and pai.frantSp   and hanSanlong then
                    pai.frantSp:setColor(sys.colors.red)
                    huCount=huCount+1
                end
            end
            local hunum = v.hunum or {}
            local hunumSp  = xui.addSprite(changPaiLayer,"lzde_js_hnum",(k-1)*jianju_x+20,-15)
            hunumSp:setLocalZOrder(-100)
            xui.addLabel(hunumSp,hunum or 0,sys.creColor3( 253,231,110 ),28,hunumSp:getContentSize().width/2,hunumSp:getContentSize().height/2)
        end
    else
        if haveChajiao then
            huPokerTb=LzDaer_M_JieSuanPokerTb(paitb)
        else
            if isWin==false then
               huPokerTb=LzDaer_M_JieSuanPokerTb(paitb)
            else
               huPokerTb=LzDaer_M_JieSuanWinPokerTb(paitb)
            end
        end
        for k,v in pairs(huPokerTb) do
            for k1,v1 in pairs(v) do
                local  pai= DaerPokerClass:Create(m_Cliper,v1.daer_value,"shou",nil,0.5)
                pai.m_player:setAnchorPoint(sys.ap.leftBottom)
                pai.m_player:setPosition(jianju_x*(k-1),-40-(k1-1)*jianju_y)
                if hupai_var~=0 and hupai_var ==v1.daer_value and huCount ==0 and pai.frantSp  and haveChajiao==false and hanSanlong then
                    pai.frantSp:setColor(sys.colors.red)
                    huCount=huCount+1
                end
            end
            local hu_num = LzDaer_M_FindPreHuValue(v)
            if #v>2 and haveChajiao==false then
                if hupai_var>0 and v[1].daer_value and v[2].daer_value and v[3].daer_value and  v[1].daer_value==hupai_var and v[2].daer_value==hupai_var and v[3].daer_value==hupai_var then
                   local canChangValue,hu_num1=LzDaer_M_IsHuPeng(paitb,hupai_var)
                   if canChangValue then
                      hu_num=hu_num1
                   end 
                end
            end
            local hunumSp  = xui.addSprite(changPaiLayer,"lzde_js_hnum",(k-1)*jianju_x+20,-15)
            hunumSp:setLocalZOrder(-100)
            xui.addLabel(hunumSp,hu_num or 0,sys.creColor3( 253,231,110 ),28,hunumSp:getContentSize().width/2,hunumSp:getContentSize().height/2)
        end
    end
    local shoucount = math.ceil(#huPokerTb)
    local kantb={}
    if jiesuanTb.long  then 
        for k1,v1 in pairs(jiesuanTb.long) do
            local hu_num =12
            if DEF_DAER_GAME_ID==100 then
                hu_num =9
                if v1==2  or v1==7 or v1==10 then
                    hu_num=15
                end
                if v1>10 then
                    hu_num=12
                    if v1==12  or v1==17 or v1==20 then
                       hu_num=18
                    end
                end
            elseif DEF_DAER_GAME_ID==108 then
                hu_num =9
                if v1==2  or v1==7 or v1==10 then
                    hu_num=15
                end
                if v1>10 then
                    hu_num=12
                    if v1==12  or v1==17 or v1==20 then
                       hu_num=18
                    end
                end  
            else
                if v1==2  or v1==7 or v1==10 then
                   hu_num=15
                end
                if v1>10 then
                    hu_num=15
                    if v1==12  or v1==17 or v1==20 then
                       hu_num=18
                    end
                end
                if paiSLSK  then
                    hu_num=6
                    if v1==2  or v1==7 or v1==10 then
                       hu_num=9
                    end
                    if v1>10 then
                        hu_num=9
                        if v1==12  or v1==17 or v1==20 then
                           hu_num=12
                        end
                    end
                end
                if paiSZ then
                    hu_num =9
                    if v1==2  or v1==7 or v1==10 then
                       hu_num=12
                    end
                    if v1>10 then
                        hu_num=12
                        if v1==12  or v1==17 or v1==20 then
                           hu_num=15
                        end
                    end
                end
            end
            table.insert(kantb,{["kan"]={v1,v1,v1},["ty"]="long",["hu_num"]=hu_num})
        end
    end
    if jiesuanTb.zhao  then 

        for k1,v1 in pairs(jiesuanTb.zhao) do
            local hu_num =9
            if DEF_DAER_GAME_ID==100 then
                hu_num =6
                if v1==2  or v1==7 or v1==10 then
                   hu_num=12
                end
                if v1>10 then
                    hu_num=9
                    if v1==12  or v1==17 or v1==20 then
                       hu_num=15
                    end
                end
            elseif DEF_DAER_GAME_ID==108 then
                hu_num =6
                if v1==2  or v1==7 or v1==10 then
                   hu_num=12
                end
                if v1>10 then
                    hu_num=9
                    if v1==12  or v1==17 or v1==20 then
                       hu_num=15
                    end
                end
            else
                if v1==2  or v1==7 or v1==10 then
                   hu_num=12
                end
                if v1>10 then
                   hu_num=12
                    if v1==12  or v1==17 or v1==20 then
                       hu_num=15
                    end
                end
            end
            table.insert(kantb,{["kan"]={v1,v1,v1},["ty"]="zhao",["hu_num"]=hu_num})
        end
    end
    if jiesuanTb.peng  then 

        for k1,v1 in pairs(jiesuanTb.peng) do
            local hu_num =1
            if v1==2  or v1==7 or v1==10 then
               hu_num=6
            end
            if v1>10 then
               hu_num=3
                if v1==12  or v1==17 or v1==20 then
                   hu_num=9
                end
            end
            table.insert(kantb,{["kan"]={v1,v1,v1},["ty"]="peng",["hu_num"]=hu_num})
        end
    end
    if jiesuanTb.chi  then 
        for k1,v1 in pairs(jiesuanTb.chi) do 
            local hu_num =0
            local chiTb ={v1.o1,v1.o2,v1.pai}
            table.sort(chiTb,function ( a,b )
               return a<b
            end)
            if chiTb[1] and chiTb[2] and chiTb[3] then
                if chiTb[1] ==1 and chiTb[2] ==2 and chiTb[3] ==3 then
                   hu_num =3
                elseif chiTb[1] ==11 and chiTb[2] ==12 and chiTb[3] ==13 then
                   hu_num =6
                elseif chiTb[1] ==2 and chiTb[2] ==7 and chiTb[3] ==10 then
                   hu_num =6
                elseif chiTb[1] ==12 and chiTb[2] ==17 and chiTb[3] ==20 then
                   hu_num =9
                end
            end
            table.insert(kantb,{["kan"]={v1.o1,v1.o2,v1.pai},["ty"]="chi",["hu_num"]=hu_num})
        end
    end
    SHOW(kantb)
    for k1,v1 in pairs(kantb) do
    	for k2,v2 in pairs(v1.kan or {}) do
    		if type(v2)  =="number" then 
    	       	local  pai= DaerPokerClass:Create(m_Cliper,v2,"shou",nil,0.5)
			    pai.m_player:setAnchorPoint(sys.ap.leftBottom)
				pai.m_player:setPosition(jianju_x*shoucount+k1*jianju_x-20,-40-(k2-1)*jianju_y)
			end
    	end
        if v1.ty  then
            local resName =nil
            if v1.ty =="zhao" then
               resName ="lzde_zhao"
            elseif v1.ty =="long"  then
               resName ="lzde_long"
               if DEF_DAER_GAME_ID ==108 then
                   resName ="wxde_yu"
               end
            end
            if resName then
                local biaoqianSp  = xui.addSprite(m_Cliper,resName,jianju_x*shoucount+k1*jianju_x+5,15)
                biaoqianSp:setLocalZOrder(100)
                biaoqianSp:setScale(0.8)
            end
        end
        local hunumSp  = xui.addSprite(changPaiLayer,"lzde_js_hnum",jianju_x*shoucount+k1*jianju_x,-15)
        hunumSp:setLocalZOrder(-100)
        xui.addLabel(hunumSp,v1.hu_num or 0,sys.creColor3( 253,231,110 ),28,hunumSp:getContentSize().width/2,hunumSp:getContentSize().height/2)
    end
end
function LzDaer_M_IsHuPeng( paiTb,hupai_var )
    local hu_num = 0
    local canChangValue = false
    if sys.getTBCount(paiTb)<3 then return hu_num end
    local pai_valu = {}
    for k,v in pairs(paiTb) do
        if v then
            if pai_valu[v] then
                pai_valu[v]=pai_valu[v]+1
            else
                pai_valu[v]=1
            end
        end
    end
    for k,v in pairs(pai_valu) do
        if v==3 then
            if hupai_var == k  then
                canChangValue=true
                if k<=10 then
                     hu_num=1 
                    if k==2 or k==7 or k==10 then
                        hu_num=6
                    end
                else
                    hu_num=3 
                    if k==12 or k==17 or k==20 then
                       hu_num=9
                    end
                end
                break
            end
        elseif  v==4 then
            if hupai_var == k  then
                canChangValue=true
                if k<=10 then
                    hu_num=9 
                    if k==2 or k==7 or k==10 then
                        hu_num=12
                    end
                else
                    hu_num=12 
                    if k==12 or k==17 or k==20 then
                        hu_num=15
                    end
                end
                break
            end
        end
    end
    return canChangValue,hu_num
 end
 GetIsWinPlayerFun=function ( seat,gameOverTb,is_hu )
    local huTb = {}
    local isWin =false
    if DEF_DAER_GAME_ID ==108 then
       if is_hu ==1 then
          isWin =true
       end
       return isWin, gameOverTb[seat]
    end
    --if seat==nil or gameOverTb ==nil then return end
    for k,v in pairs(gameOverTb) do
        if is_hu ==1 then
            if k==seat then 
                 huTb=v
                 for k1,v1 in pairs(v) do
                     if v1.value and v1.value>0 then 
                         isWin=true
                     end
                 end
            end
        end
    end
    return isWin,huTb
 end
function LzDaer_M_CloseResultUI()
	Close()
end
function LzDaer_M_CleanAllResultData(  )
	CleanUp()
end
 --显示m_VideoJieSuanBtn
function LzDaer_M_IsShowVideoBtn( isShow )
	-- if m_VideoJieSuanBtn  then 
 --       m_VideoJieSuanBtn.SetMyBtnVisible(isShow)
 --    end
end
function LzDaer_M_IsCreUI(  )
    return  m_CreJieSuan
end